# GstPlayVisualization

A GstPlayVisualization descriptor.

### Members

`name` (gchar *) –

name of the visualization.

`description` (gchar *) –

description of the visualization.

Since : 1.20

## GstPlay.PlayVisualization

A GstPlay.PlayVisualization descriptor.

### Members

`name` (String) –

name of the visualization.

`description` (String) –

description of the visualization.

Since : 1.20

## GstPlay.PlayVisualization

A GstPlay.PlayVisualization descriptor.

### Members

`name` (str) –

name of the visualization.

`description` (str) –

description of the visualization.

Since : 1.20

### Methods

#### gst_play_visualization_copy

    GstPlayVisualization *
    gst_play_visualization_copy (const GstPlayVisualization * vis)

Makes a copy of the GstPlayVisualization. The result must be freed using gst_play_visualization_free.

Parameters:

`vis` –

GstPlayVisualization instance

Returns ( [transfer: full]) –

an allocated copy of vis.

Since : 1.20

#### GstPlay.PlayVisualization.prototype.copy

    function GstPlay.PlayVisualization.prototype.copy(): {
        // javascript wrapper for 'gst_play_visualization_copy'
    }

Makes a copy of the GstPlay.PlayVisualization. The result must be freed using GstPlay.PlayVisualization.prototype.free.

Parameters:

`vis` (GstPlay.PlayVisualization) –

GstPlay.PlayVisualization instance

Returns (GstPlay.PlayVisualization) –

an allocated copy of vis.

Since : 1.20

#### GstPlay.PlayVisualization.copy

    def GstPlay.PlayVisualization.copy (self):
        #python wrapper for 'gst_play_visualization_copy'

Makes a copy of the GstPlay.PlayVisualization. The result must be freed using GstPlay.PlayVisualization.free.

Parameters:

`vis` (GstPlay.PlayVisualization) –

GstPlay.PlayVisualization instance

Returns (GstPlay.PlayVisualization) –

an allocated copy of vis.

Since : 1.20

#### gst_play_visualization_free

    gst_play_visualization_free (GstPlayVisualization * vis)

Frees a GstPlayVisualization.

Parameters:

`vis` –

GstPlayVisualization instance

Since : 1.20

#### GstPlay.PlayVisualization.prototype.free

    function GstPlay.PlayVisualization.prototype.free(): {
        // javascript wrapper for 'gst_play_visualization_free'
    }

Frees a GstPlay.PlayVisualization.

Parameters:

`vis` (GstPlay.PlayVisualization) –

GstPlay.PlayVisualization instance

Since : 1.20

#### GstPlay.PlayVisualization.free

    def GstPlay.PlayVisualization.free (self):
        #python wrapper for 'gst_play_visualization_free'

Frees a GstPlay.PlayVisualization.

Parameters:

`vis` (GstPlay.PlayVisualization) –

GstPlay.PlayVisualization instance

Since : 1.20

The results of the search are